Merge "create nonrtric jjb"
authorJessica Wagantall <jwagantall@linuxfoundation.org>
Tue, 12 Nov 2019 00:22:25 +0000 (00:22 +0000)
committerGerrit Code Review <gerrit@o-ran-sc.org>
Tue, 12 Nov 2019 00:22:25 +0000 (00:22 +0000)
21 files changed:
global-jjb
jjb/com-gs-lite/com-gs-lite.yaml [new file with mode: 0644]
jjb/com-pylog/com-pylog.yaml
jjb/it-dep/it-dep.yaml
jjb/it-otf/it-otf.yaml [new file with mode: 0644]
jjb/pti-rtp/pti-rtp.yaml
jjb/pti-rtp/verify-pti-rtp-centos.sh [new file with mode: 0755]
jjb/ric-plt-asn1/ric-plt-asn1-documents.yaml [new file with mode: 0644]
jjb/ric-plt-lib-rmr/ric-plt-lib-rmr.yaml
jjb/ric-plt-xapp-frame/ric-plt-xapp-frame.yaml [new file with mode: 0644]
jjb/ric-plt/dbaas/hiredis-vip/info-ric-plt-dbaas-hiredis-vip.yaml [new file with mode: 0644]
jjb/ric-plt/demo1/info-ric-plt-demo1.yaml [new file with mode: 0644]
jjb/ric-plt/jaegeradapter/info-ric-plt-jaegeradapter.yaml [new file with mode: 0644]
jjb/ric-plt/nodeb-rnib/info-ric-plt-nodeb-rnib.yaml [new file with mode: 0644]
jjb/ric-plt/resource-status-processor/info-ric-plt-resource-status-processor.yaml [new file with mode: 0644]
jjb/ric-plt/ric-dep/info-ric-plt-ric-dep.yaml [new file with mode: 0644]
jjb/ric-plt/ric-test/info-ric-plt-ric-test.yaml [new file with mode: 0644]
jjb/ric-plt/sdlpy/info-ric-plt-sdlpy.yaml [new file with mode: 0644]
jjb/ric-plt/streaming-protobufs/info-ric-plt-streaming-protobufs.yaml [new file with mode: 0644]
jjb/ric-plt/utils/info-ric-plt-utils.yaml [new file with mode: 0644]
jjb/rtdv3/rtdv3.yaml [moved from jjb/read-the-docs/rtd.yaml with 54% similarity]

index fa5ddbf..30a6dac 160000 (submodule)
@@ -1 +1 @@
-Subproject commit fa5ddbf67c8b9ee78707c1d37abcbe16b4cb7cb4
+Subproject commit 30a6dacd8befef0dc78942a53068fa52a101cc9f
diff --git a/jjb/com-gs-lite/com-gs-lite.yaml b/jjb/com-gs-lite/com-gs-lite.yaml
new file mode 100644 (file)
index 0000000..0ce130e
--- /dev/null
@@ -0,0 +1,14 @@
+---
+- project:
+    name: com-gs-lite-project-view
+    project-name: com-gs-lite
+    views:
+      - project-view
+
+- project:
+    name: com-gs-lite-info
+    project: com/gs-lite
+    project-name: com-gs-lite
+    build-node: centos7-builder-1c-1g
+    jobs:
+      - gerrit-info-yaml-verify
index bcd9659..6be814d 100644 (file)
 - project:
     <<: *pylog_common
     name: pylog-pypi
+    # the code is in a subdirectory
+    tox-dir: mdclogpy
+    gerrit_trigger_file_paths:
+      - compare-type: REG_EXP
+        pattern: 'mdclogpy/.*'
     stream:
       - master:
           branch: master
index e21e9e2..6cc505d 100644 (file)
     jobs:
       - gerrit-docker-verify
 
+# build and publish packages to PackageCloud.io
+- project:
+    <<: *it_dep_common
+    name: it-dep-package
+    # jenkins job name prefix
+    project-name: '{name}'
+    # image is not pushed, use trivial tag
+    container-tag-method: latest
+    # image name
+    docker-name: '{name}'
+    # use host network for network resources
+    docker-build-args: '--network=host -f ci/Dockerfile-package'
+    jobs:
+      - gerrit-docker-verify
+      - oran-gerrit-docker-ci-pc-merge
+    stream:
+      - master:
+          branch: master
+
 - project:
     <<: *it_dep_common
     name: it-dep-secret
@@ -73,4 +92,4 @@
       - compare-type: REG_EXP
         pattern: '{docker-root}/.*'
     jobs:
-      - '{project-name}-gerrit-docker-jobs'
+      - '{project-name}-gerrit-docker-jobs'
\ No newline at end of file
diff --git a/jjb/it-otf/it-otf.yaml b/jjb/it-otf/it-otf.yaml
new file mode 100644 (file)
index 0000000..4c8419a
--- /dev/null
@@ -0,0 +1,136 @@
+---
+#   Copyright (c) 2019 AT&T Intellectual Property.
+#   Copyright (c) 2019 Nokia.
+#
+#   Licensed under the Apache License, Version 2.0 (the "License");
+#   you may not use this file except in compliance with the License.
+#   You may obtain a copy of the License at
+#
+#       http://www.apache.org/licenses/LICENSE-2.0
+#
+#   Unless required by applicable law or agreed to in writing, software
+#   distributed under the License is distributed on an "AS IS" BASIS,
+#   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+#   See the License for the specific language governing permissions and
+#   limitations under the License.
+
+- project:
+    name: it-otf-project-view
+    project-name: it-otf
+    views:
+      - project-view
+
+- project:
+    name: it-otf-info
+    project: it/otf
+    project-name: it-otf
+    build-node: centos7-builder-1c-1g
+    jobs:
+      - gerrit-info-yaml-verify
+
+- it_otf_common: &it_otf_common
+    # values apply to all it/otf docker projects
+    name: it-otf-docker-common
+    # git repo
+    project: it/otf
+    # source of docker tag
+    container-tag-method: yaml-file
+    # use host network to clone from our gerrit
+    docker-build-args: '--network=host'
+    # maven settings file has docker credentials
+    mvn-settings: it-otf-settings
+    jobs:
+      - '{project-name}-gerrit-docker-jobs'
+    stream:
+      - master:
+          branch: master
+
+- project:
+    <<: *it_otf_common
+    name: it-otf-oran-ric-test-head
+    # jenkins job name prefix
+    project-name: '{name}'
+    # image name
+    docker-name: '{name}'
+    # start in parent directory with shared files
+    docker-root: oran-ric-test-head
+    # dockerfile is in subdir of docker root
+    docker-build-args: '--network=host'
+    # tag file is in subdir
+    container-tag-yaml-dir: '{docker-root}'
+    # build only on relevant changes
+    gerrit_trigger_file_paths:
+      - compare-type: REG_EXP
+        pattern: '{docker-root}/.*'
+
+- project:
+    <<: *it_otf_common
+    name: it-otf-frontend
+    # jenkins job name prefix
+    project-name: '{name}'
+    # image name
+    docker-name: '{name}'
+    # start in parent directory with shared files
+    docker-root: otf-frontend
+    # dockerfile is in subdir of docker root
+    docker-build-args: '--network=host'
+    # tag file is in subdir
+    container-tag-yaml-dir: '{docker-root}'
+    # build only on relevant changes
+    gerrit_trigger_file_paths:
+      - compare-type: REG_EXP
+        pattern: '{docker-root}/.*'
+
+- project:
+    <<: *it_otf_common
+    name: it-otf-ping-test-head
+    # jenkins job name prefix
+    project-name: '{name}'
+    # image name
+    docker-name: '{name}'
+    # start in parent directory with shared files
+    docker-root: otf-ping-test-head
+    # dockerfile is in subdir of docker root
+    docker-build-args: '--network=host'
+    # tag file is in subdir
+    container-tag-yaml-dir: '{docker-root}'
+    # build only on relevant changes
+    gerrit_trigger_file_paths:
+      - compare-type: REG_EXP
+        pattern: '{docker-root}/.*'
+
+- project:
+    <<: *it_otf_common
+    name: it-otf-robot-test-head
+    # jenkins job name prefix
+    project-name: '{name}'
+    # image name
+    docker-name: '{name}'
+    # start in parent directory with shared files
+    docker-root: otf-robot-test-head
+    # dockerfile is in subdir of docker root
+    docker-build-args: '--network=host'
+    # tag file is in subdir
+    container-tag-yaml-dir: '{docker-root}'
+    # build only on relevant changes
+    gerrit_trigger_file_paths:
+      - compare-type: REG_EXP
+        pattern: '{docker-root}/.*'
+
+- project:
+    <<: *it_otf_common
+    name: it-otf-ssh-test-head
+    # jenkins job name prefix
+    project-name: '{name}'
+    # image name
+    docker-name: '{name}'
+    # start in parent directory with shared files
+    docker-root: otf-ssh-test-head
+    # dockerfile is in subdir of docker root
+    docker-build-args: '--network=host'
+    # tag file is in subdir
+    container-tag-yaml-dir: '{docker-root}'
+    # build only on relevant changes
+    gerrit_trigger_file_paths:
+      - compare-type: REG_EXP
+        pattern: '{docker-root}/.*'
index fed0685..240d58c 100644 (file)
     jobs:
       - gerrit-info-yaml-verify
 
+- project:
+    name: pti-rtp-verify
+    project: pti/rtp
+    project-name: pti-rtp
+    # use a centos with big memory; docker not required
+    build-node: centos7-docker-2c-8g
+    # runs about 30 minutes
+    build-timeout: 60
+    script: !include-raw-escape: verify-pti-rtp-centos.sh
+    jobs:
+      - oran-verify-shell
diff --git a/jjb/pti-rtp/verify-pti-rtp-centos.sh b/jjb/pti-rtp/verify-pti-rtp-centos.sh
new file mode 100755 (executable)
index 0000000..1564551
--- /dev/null
@@ -0,0 +1,41 @@
+#!/bin/bash
+
+#   Copyright (C) 2019 Wind River Systems, Inc.
+#
+#   Licensed under the Apache License, Version 2.0 (the "License");
+#   you may not use this file except in compliance with the License.
+#   You may obtain a copy of the License at
+#
+#       http://www.apache.org/licenses/LICENSE-2.0
+#
+#   Unless required by applicable law or agreed to in writing, software
+#   distributed under the License is distributed on an "AS IS" BASIS,
+#   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+#   See the License for the specific language governing permissions and
+#   limitations under the License.
+
+# Installs prerequisites on CentOS then invokes the pti/rtp build script
+# to test creation of a Yocto image.  The "-n" flag skips bitbake.
+
+echo "--> verify-pti-rtp-centos.sh"
+
+# Ensure we fail the job if any steps fail.
+set -eu -o pipefail
+
+pkgs="gawk make wget tar bzip2 gzip python unzip perl patch \
+     diffutils diffstat cpp gcc gcc-c++ glibc-devel texinfo chrpath socat \
+     perl-Data-Dumper perl-Text-ParseWords perl-Thread-Queue perl-Digest-SHA \
+     python3-pip xz which SDL-devel xterm"
+echo "INFO: installing epel-release and packages $pkgs"
+sudo yum install -y epel-release \
+  && sudo yum makecache \
+  && sudo yum install -y $pkgs
+
+dir=workspace
+echo "INFO: creating workspace $dir"
+mkdir $dir
+cmd="./scripts/build_oran.sh -w $dir -n"
+echo "INFO: invoking build script: $cmd"
+$cmd
+
+echo "--> verify-pti-rtp-centos.sh ends"
diff --git a/jjb/ric-plt-asn1/ric-plt-asn1-documents.yaml b/jjb/ric-plt-asn1/ric-plt-asn1-documents.yaml
new file mode 100644 (file)
index 0000000..04bcf53
--- /dev/null
@@ -0,0 +1,14 @@
+---
+- project:
+    name: ric-plt-asn1-documents-project-view
+    project-name: ric-plt-asn1-documents
+    views:
+      - project-view
+
+- project:
+    name: ric-plt-asn1-documents-info
+    project: ric-plt/asn1-documents
+    project-name: ric-plt-asn1-documents
+    build-node: centos7-builder-1c-1g
+    jobs:
+      - gerrit-info-yaml-verify
index ca077ed..bde2068 100644 (file)
     project-name: ric-plt-lib-rmr
     # maven settings file has credentials
     mvn-settings: ric-plt-lib-rmr-settings
-
-# build and publish packages to PackageCloud.io
-- project:
-    <<: *rmr_common
-    name: ric-plt-lib-rmr
     # image is not pushed, use trivial tag
     container-tag-method: latest
     # image name
     gerrit_trigger_file_paths:
       - compare-type: REG_EXP
         pattern: '^((?!src/bindings|\/COMMIT_MSG).)*$'
+
+# verify RMR changes targeted at any branch
+- project:
+    <<: *rmr_common
+    name: ric-plt-lib-rmr-verify
     jobs:
       - gerrit-docker-verify
+    stream:
+      - all:
+          branch: '*'
+
+# build RMR and publish to PackageCloud.io on merge to master branch
+- project:
+    <<: *rmr_common
+    name: ric-plt-lib-rmr-merge
+    jobs:
       - oran-gerrit-docker-ci-pc-merge
     stream:
       - master:
           branch: master
 
-# build and publish distributions to test.pypi.org
-- project:
-    <<: *rmr_common
-    name: ric-plt-lib-rmr-python-pypi
+- rmr_python_common: &rmr_python_common
+    name: rmr-python-common
+    # git repo
+    project: ric-plt/lib/rmr
+    # jenkins job name prefix
     project-name: ric-plt-lib-rmr-python
+    # maven settings file has credentials
+    mvn-settings: ric-plt-lib-rmr-settings
     # sigul requires centos
     build-node: centos7-builder-1c-1g
     # install prereqs
     gerrit_trigger_file_paths:
       - compare-type: REG_EXP
         pattern: 'src/bindings/rmr-python/.*'
+
+# verify binding changes targeted at any branch
+- project:
+    <<: *rmr_python_common
+    name: ric-plt-lib-rmr-python-pypi-verify
+    stream:
+      - all:
+          branch: '*'
+    jobs:
+      - gerrit-pypi-verify
+
+# build and publish distributions to test.pypi.org from master
+- project:
+    <<: *rmr_python_common
+    name: ric-plt-lib-rmr-python-pypi-merge
     stream:
       - master:
           branch: master
     jobs:
-      - '{project-name}-gerrit-pypi-jobs'
+      - gerrit-pypi-verify
 
 # promote distributions from test to pypi.org
 - project:
-    <<: *rmr_common
+    <<: *rmr_python_common
     name: ric-plt-lib-rmr-python-pypi-release
-    project-name: ric-plt-lib-rmr-python
-    # sigul requires centos
-    build-node: centos7-builder-1c-1g
     jobs:
       - '{project-name}-gerrit-pypi-release-jobs'
 
 - project:
-    <<: *rmr_common
+    <<: *rmr_python_common
     name: ric-plt-lib-rmr-python-sonar
-    project-name: ric-plt-lib-rmr-python
     branch: master
     python-version: python3
     # the pre-build-script installs debian packages
diff --git a/jjb/ric-plt-xapp-frame/ric-plt-xapp-frame.yaml b/jjb/ric-plt-xapp-frame/ric-plt-xapp-frame.yaml
new file mode 100644 (file)
index 0000000..834d596
--- /dev/null
@@ -0,0 +1,40 @@
+---
+- project:
+    name: ric-plt-xapp-frame-project-view
+    project-name: ric-plt-xapp-frame
+    views:
+      - project-view
+
+- project:
+    name: ric-plt-xapp-frame-info
+    project: ric-plt/xapp-frame
+    project-name: ric-plt-xapp-frame
+    build-node: centos7-builder-1c-1g
+    jobs:
+      - gerrit-info-yaml-verify
+
+- xapp_frame_docker_common: &xapp_frame_docker_common
+    # values apply to all xapp-frame docker projects
+    name: xapp-frame-docker-common
+    # git repo
+    project: ric-plt/xapp-frame
+    # jenkins job name prefix
+    project-name: ric-plt-xapp-frame
+    # maven settings file has docker credentials
+    mvn-settings: ric-plt-xapp-frame-settings
+
+# runs unit tests on verify only
+- project:
+    <<: *xapp_frame_docker_common
+    name: ric-plt-xapp-frame
+    # image name, altho it is never pushed
+    docker-name: '{name}'
+    # use host network
+    docker-build-args: '--network=host -f ci/Dockerfile'
+    # image tag; use a fixed value
+    container-tag-method: latest
+    jobs:
+      - gerrit-docker-verify
+    stream:
+      - master:
+          branch: master
diff --git a/jjb/ric-plt/dbaas/hiredis-vip/info-ric-plt-dbaas-hiredis-vip.yaml b/jjb/ric-plt/dbaas/hiredis-vip/info-ric-plt-dbaas-hiredis-vip.yaml
new file mode 100644 (file)
index 0000000..ed9dd77
--- /dev/null
@@ -0,0 +1,8 @@
+---
+- project:
+    name: ric-plt-dbaas-hiredis-vip-info
+    project-name: ric-plt-dbaas-hiredis-vip
+    jobs:
+      - gerrit-info-yaml-verify
+    project: ric-plt/dbaas/hiredis-vip
+    branch: master
diff --git a/jjb/ric-plt/demo1/info-ric-plt-demo1.yaml b/jjb/ric-plt/demo1/info-ric-plt-demo1.yaml
new file mode 100644 (file)
index 0000000..b89f6f5
--- /dev/null
@@ -0,0 +1,8 @@
+---
+- project:
+    name: ric-plt-demo1-info
+    project-name: ric-plt-demo1
+    jobs:
+      - gerrit-info-yaml-verify
+    project: ric-plt/demo1
+    branch: master
diff --git a/jjb/ric-plt/jaegeradapter/info-ric-plt-jaegeradapter.yaml b/jjb/ric-plt/jaegeradapter/info-ric-plt-jaegeradapter.yaml
new file mode 100644 (file)
index 0000000..2a9e681
--- /dev/null
@@ -0,0 +1,8 @@
+---
+- project:
+    name: ric-plt-jaegeradapter-info
+    project-name: ric-plt-jaegeradapter
+    jobs:
+      - gerrit-info-yaml-verify
+    project: ric-plt/jaegeradapter
+    branch: master
diff --git a/jjb/ric-plt/nodeb-rnib/info-ric-plt-nodeb-rnib.yaml b/jjb/ric-plt/nodeb-rnib/info-ric-plt-nodeb-rnib.yaml
new file mode 100644 (file)
index 0000000..48d98ee
--- /dev/null
@@ -0,0 +1,8 @@
+---
+- project:
+    name: ric-plt-nodeb-rnib-info
+    project-name: ric-plt-nodeb-rnib
+    jobs:
+      - gerrit-info-yaml-verify
+    project: ric-plt/nodeb-rnib
+    branch: master
diff --git a/jjb/ric-plt/resource-status-processor/info-ric-plt-resource-status-processor.yaml b/jjb/ric-plt/resource-status-processor/info-ric-plt-resource-status-processor.yaml
new file mode 100644 (file)
index 0000000..6ac5f68
--- /dev/null
@@ -0,0 +1,8 @@
+---
+- project:
+    name: ric-plt-resource-status-processor-info
+    project-name: ric-plt-resource-status-processor
+    jobs:
+      - gerrit-info-yaml-verify
+    project: ric-plt/resource-status-processor
+    branch: master
diff --git a/jjb/ric-plt/ric-dep/info-ric-plt-ric-dep.yaml b/jjb/ric-plt/ric-dep/info-ric-plt-ric-dep.yaml
new file mode 100644 (file)
index 0000000..24eae53
--- /dev/null
@@ -0,0 +1,8 @@
+---
+- project:
+    name: ric-plt-ric-dep-info
+    project-name: ric-plt-ric-dep
+    jobs:
+      - gerrit-info-yaml-verify
+    project: ric-plt/ric-dep
+    branch: master
diff --git a/jjb/ric-plt/ric-test/info-ric-plt-ric-test.yaml b/jjb/ric-plt/ric-test/info-ric-plt-ric-test.yaml
new file mode 100644 (file)
index 0000000..a8b8814
--- /dev/null
@@ -0,0 +1,8 @@
+---
+- project:
+    name: ric-plt-ric-test-info
+    project-name: ric-plt-ric-test
+    jobs:
+      - gerrit-info-yaml-verify
+    project: ric-plt/ric-test
+    branch: master
diff --git a/jjb/ric-plt/sdlpy/info-ric-plt-sdlpy.yaml b/jjb/ric-plt/sdlpy/info-ric-plt-sdlpy.yaml
new file mode 100644 (file)
index 0000000..20e900c
--- /dev/null
@@ -0,0 +1,8 @@
+---
+- project:
+    name: ric-plt-sdlpy-info
+    project-name: ric-plt-sdlpy
+    jobs:
+      - gerrit-info-yaml-verify
+    project: ric-plt/sdlpy
+    branch: master
diff --git a/jjb/ric-plt/streaming-protobufs/info-ric-plt-streaming-protobufs.yaml b/jjb/ric-plt/streaming-protobufs/info-ric-plt-streaming-protobufs.yaml
new file mode 100644 (file)
index 0000000..a809651
--- /dev/null
@@ -0,0 +1,8 @@
+---
+- project:
+    name: ric-plt-streaming-protobufs-info
+    project-name: ric-plt-streaming-protobufs
+    jobs:
+      - gerrit-info-yaml-verify
+    project: ric-plt/streaming-protobufs
+    branch: master
diff --git a/jjb/ric-plt/utils/info-ric-plt-utils.yaml b/jjb/ric-plt/utils/info-ric-plt-utils.yaml
new file mode 100644 (file)
index 0000000..9c61a86
--- /dev/null
@@ -0,0 +1,8 @@
+---
+- project:
+    name: ric-plt-utils-info
+    project-name: ric-plt-utils
+    jobs:
+      - gerrit-info-yaml-verify
+    project: ric-plt/utils
+    branch: master
similarity index 54%
rename from jjb/read-the-docs/rtd.yaml
rename to jjb/rtdv3/rtdv3.yaml
index 8715884..25f325d 100644 (file)
@@ -1,7 +1,9 @@
-# Global read the docs jobs
+# Global read the docs version 3 jobs
 #
 # jobs trigger for all projects on any changes
 # to files in the docs/* directory
+# and publish subprojects to readthedocs.io
+# using credentials from Jenkins settings
 ---
 - project:
     name: rtdv3-view
 - project:
     name: rtdv3-global
     build-node: centos7-builder-1c-1g
+    # override the default to ignore ref-updated-event
+    gerrit_merge_triggers:
+      - change-merged-event
+      - comment-added-contains-event:
+          comment-contains-value: remerge$
     jobs:
       - rtdv3-global-verify
       - rtdv3-global-merge